Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

API Reference

Email Management

Conversation Management

Bulk Delete ParticipantsBulk Import ParticipantsBulk Update Participant StatusBulk Update Participant TagsCreate ParticipantExport ParticipantsGet ParticipantGet Participant EngagementList ParticipantsRemove ParticipantUpdate Participant

Configuration

Analytics & Operations

OpenAPI Specification
API ReferenceParticipants

Bulk Update Participant Tags

POST
/participants/bulk-update-tags

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://samva.app/api/v1/participants/bulk-update-tags" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "497f6eca-6276-4993-bfeb-53cbbbba6f08"    ],    "operation": "add",    "tags": [      "string"    ]  }'
{
  "updated": 0,
  "failed": 0
}

Bulk Update Participant Status

Previous Page

Create Participant

Next Page

ids*array<>
Items1 <= items <= 100
operation*unknown
Value in"add" | "remove" | "set"
tags*array<>
Items1 <= items